Main Menu

Versiunea 8.4.0

Creat de cios, Iunie 24, 2022, 06:53:01 PM

« precedentul - următorul »

cios

Noutăți mai importante, care au necesitat și update de structură baza de date:
 - e-Factura
 - Tipărire directă
 - Documente service
 - Actualizat webgest_local

Pe lângă posibilitatea de testare la generare și transmitere, acum e-Factura poate fi folosită și "în producție", atât la emitere (Clienți) cât și la primire (Furnizori). Comunicarea cu serverele ANAF are nevoie de token cu certificat digital conectat la calculatorul de pe care se fac operațiile respective. Pentru aceasta, aplicația webgest_local trebuie să fie instalată pe acel calculator și să fie pornită. Procedura este descrisă în fișierul readme.txt din rădăcina aplicației, unde sunt și executabilele pentru start/stop specifice sistemului de operare și protocolului de comunicare (http sau https).

Cu noua versiune de webgest_local este posibil de acum și accesul la imprimantele locale și tipărirea documentelor direct de la butoanele respective din Webgest.

În modulul service au fost adăugate funcționalități și câmpuri noi pentru o administrare mai bună a contractelor, echipamentelor și intervențiilor.
  •  
    The following users thanked this post: dfreddie

ciprian

Apropos de utima versiune 8.4.0, n-am incercat pana acum instalarea webgest_local. Poate functiona si pe Mac?
  •  

ciprian

Am reusit sa pornesc webgest_local, functioneaza imprimanta si cam atat. Pentru semnatura si pentru ineractiunea cu SPV nu stiu unde isi pune driver-ul de Athena Token de la CertSign. Nu stiu nici macar cum se numeste fisierul. Am gasit ceva la CertSign pe site dar nu se potriveste cu ce am eu. Sper sa rezolv pana la urma ...
  •  

vios

Citatdriver-ul de Athena Token de la CertSign. Nu stiu nici macar cum se numeste fisierul.
Nu stiu cum e pe Mac, daca te ajuta, cum e pe linux Fedora :
library=/usr/lib/x64-athena/libASEP11.so
  •  

ciprian

am vorbit cu cei de la CertSign, calea la Mac pt driver-ul Tokenu-lui Athena este: /usr/local/lib/libASEP11.dylib   sau   /Library/Application Support/Athena/libASEP11.dylib

  •  

ciprian

din pacate am aceeasi eroare si la semnare si la cererea SPV: Eroare apel SPV - -- eroare acces driver: /usr/local/lib/libASEP11.dylib (Corectati parametrul library din fisierul dist\config\SMART_CARD.cfg astfel incat sa indice calea reala pe calculatorul dumneavoastra catre driverul corespunzator SMART_CARD-ului folosit) (java.lang.IllegalAccessException: class mirabit.sign.Sign cannot access class sun.security.pkcs11.wrapper.CK_C_INITIALIZE_ARGS (in module jdk.crypto.cryptoki) because module jdk.crypto.cryptoki does not export sun.security.pkcs11.wrapper to unnamed module @34d2e626)
  •  

vios

#6
Avem o problema comuna !
Si eu pana luna trecuta am avut un token Athena Token de la CertSign si imi dadea aceeasi eoare !
Acum am alt Token CriptoID de la CertDigital si imi dadea aceeasi eoare !
Eroare  - Nu pot accesa token-ul! eroare acces driver: /opt/CryptoIDEUser/x64/lib/libcryptoide_pkcs11.so (Corectati parametrul library din fisierul dist\config\SMART_CARD.cfg astfel incat sa indice calea reala pe calculatorul dumneavoastra catre driverul corespunzator SMART_CARD-ului folosit)
       (java.lang.NoSuchMethodException: sun.security.pkcs11.wrapper.PKCS11.getInstance(java.lang.String, java.lang.String, sun.security.pkcs11.wrapper.CK_C_INITIALIZE_ARGS, boolean))
O sa mai analizam zilele astea care ar fi problema, trebuie sa gasim o solutie !
Eu am incercat sa semnezi cu dukintegrator instalat linga webgest_local si merge fara probleme !

  •  

cios

Posibil să fie cauzate problemele de versiuni mai noi de Java pe sistemele respective. Deocamdată codul pentru intercațiune cu SPV și pentru semnare cu DukIntegrator este compatibil cu versiuni de Java până la 8.

Comanda "java -version" (din terminal) va răspunde la acest lucru. Dacă acesta este cazul, puteți încerca să setați JAVA_HOME environment variable in Windows sau Mac spre un Java mai vechi.
  •  

cios

Citat din: ciprian din Iulie 11, 2022, 12:44:38 PMdin pacate am aceeasi eroare si la semnare si la cererea SPV:  . . .

Cum e, ai mai avansat?

Între timp s-a modificat ceva în webgest_local, legat de posibilitatea de a seta calea către alt Java decât implicit și la rularea DukIntegrator pentru semnare. Dacă nu există niciunde pe calculator un Java 8, trebuie descărcat unul și setat în fișierul de pornire startWebServerLocal... calea către el prin parametrul "JAVA_HOME" existent ca exemplu comentat.
  •